# DataExchange
TKSTEP209
StepFEA

# StepFEA_FeaAreaDensity Class Reference

Representation of STEP entity FeaAreaDensity
.

`#include <StepFEA_FeaAreaDensity.hxx>`

Inheritance diagram for StepFEA_FeaAreaDensity:

[legend]

## Public Member Functions

Standard_EXPORT | StepFEA_FeaAreaDensity ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const Standard_Real aFeaConstant)
| Initialize all fields (own and inherited) .
Standard_EXPORT Standard_Real | FeaConstant () const
| Returns field FeaConstant .
Standard_EXPORT void | SetFeaConstant (const Standard_Real FeaConstant)
| Set field FeaConstant .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | theFeaConstant

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_FeaAreaDensity::StepFEA_FeaAreaDensity | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real StepFEA_FeaAreaDensity::FeaConstant | ( |  | ) | const

Standard_EXPORT const StepFEA_FeaAreaDensity::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepFEA_FeaMaterialPropertyRepresentationItem.

Standard_EXPORT void StepFEA_FeaAreaDensity::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const Standard_Real | aFeaConstant
| ) |

Standard_EXPORT void StepFEA_FeaAreaDensity::SetFeaConstant | ( | const Standard_Real | FeaConstant | ) |

## Field Documentation

Standard_Real StepFEA_FeaAreaDensity::theFeaConstant `[private]`

The documentation for this class was generated from the following file:

- StepFEA_FeaAreaDensity.hxx